Package com.independentsoft.office.spreadsheet.extensions

# Class X14DataValidations

java.lang.Object
com.independentsoft.office.spreadsheet.extensions.X14DataValidations

All Implemented Interfaces:
  `IExtensionContent`

public class X14DataValidations extends Object implements IExtensionContent
Represents the data validations extension (x14:dataValidations element) of a worksheet, carrying validations whose formulas reference other worksheets.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `X14DataValidations()`
  Instantiates a new x14 data validations.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `X14DataValidations`
  `clone()`
  Clone.
  `List<X14DataValidation>`
  `getDataValidations()`
  Gets the data validations.
  `Boolean`
  `getDisablePrompts()`
  Gets whether input prompts are disabled.
  `Integer`
  `getXWindow()`
  Gets the x position of the prompt window.
  `Integer`
  `getYWindow()`
  Gets the y position of the prompt window.
  `void`
  `setDisablePrompts​(Boolean disablePrompts)`
  Sets whether input prompts are disabled.
  `void`
  `setXWindow​(Integer xWindow)`
  Sets the x position of the prompt window.
  `void`
  `setYWindow​(Integer yWindow)`
  Sets the y position of the prompt window.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### X14DataValidations

    public X14DataValidations()
    Instantiates a new x14 data validations.

- ## Method Details

  - ### clone

    public X14DataValidations clone()
    Description copied from interface: `IExtensionContent`
    Clone.
    Specified by:
      `clone` in interface `IExtensionContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      the extension content

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDisablePrompts

    public Boolean getDisablePrompts()
    Gets whether input prompts are disabled.
    Returns:
      whether input prompts are disabled

  - ### setDisablePrompts

    public void setDisablePrompts​(Boolean disablePrompts)
    Sets whether input prompts are disabled.
    Parameters:
      `disablePrompts` - the new disable prompts flag

  - ### getXWindow

    public Integer getXWindow()
    Gets the x position of the prompt window.
    Returns:
      the x position of the prompt window

  - ### setXWindow

    public void setXWindow​(Integer xWindow)
    Sets the x position of the prompt window.
    Parameters:
      `xWindow` - the new x position of the prompt window

  - ### getYWindow

    public Integer getYWindow()
    Gets the y position of the prompt window.
    Returns:
      the y position of the prompt window

  - ### setYWindow

    public void setYWindow​(Integer yWindow)
    Sets the y position of the prompt window.
    Parameters:
      `yWindow` - the new y position of the prompt window

  - ### getDataValidations

    public List<X14DataValidation> getDataValidations()
    Gets the data validations.
    Returns:
      the data validations